////////////////////////////////////////////////////////////////
// Capella 2002, Version 4.0 - Dokumentation des Dateiformats
// CapRead.h

#include <windows.h>

#define ANSI_LIBRARY

#ifdef ANSI_LIBRARY
  #include <cassert>
  #include <climits>
  #include <cstring>
  #include <fstream>
  using namespace std;
#else
  #include <assert.h>
  #include <limits.h>
  #include <string.h>
  #include <fstream.h>
#endif


#define FOR(n) for (int i##n=0; i##n<n; i##n++)

#define DEFINITION(X) X::X()

class Byte {
public:
  Byte();
  operator BYTE() {return value;}
private:
  BYTE value;
};

class Word {
public:
  Word();
  operator WORD() {return value;}
private:
  WORD value;
};

class DWord {
public:
  DWord();
  operator DWORD() {return value;}
private:
  DWORD value;
};

class Char {
public:
  Char();
  operator char() {return value;}
private:
  char value;
};

class Bool {
public:
  Bool();
  operator bool() {return value;}
private:
  bool value;
};

class Integer {
public:
  Integer();
  operator int() {return value;}
private:
  int value;
};

class Unsigned {
public:
  Unsigned();
  operator DWORD() {return value;}
private:
  DWORD value;
};

class CharArray {
public:
  CharArray (int n);
  ~CharArray();
  operator char*() {return buffer;}
private:
  char* buffer;
};

class String {
public:
  String();
  ~String();
  operator const char*() {return (const char*)buffer;}
private:
  char* buffer;
};

class Color {
public:
  Color();
  operator COLORREF() {return value;}
private:
  COLORREF value;
};

class LogFont {
public:
  LogFont();
private:
  LOGFONT  lf;
  COLORREF color;
};

class Point {
public:
  Point();
  operator POINT() {return value;}
private:
  POINT value;
};

class StringArray {
public:
  StringArray();
  int Size() const {return size;}
private:
  int size;
};

class Voice           { public:  Voice();};
class Stave           { public:  Stave();};
class System          { public:  System();};
class Notelines       { public:  Notelines();};
class StaveLayout     { public:  StaveLayout();};
class ScoreLayout     { public:  ScoreLayout();};
class Score           { public:  Score();};

class DrawObjArray {
public:
  DrawObjArray();
  int Size() const {return size;}
private:
  int size;
};

class BasicDurationalObj {public: BasicDurationalObj();};
class Rest            { public:  Rest();};
class ChordObj        { public:  ChordObj();};
class Clef            { public:  Clef();};
class Key             { public:  Key();};
class Meter           { public:  Meter();};
class ExplicitBarline { public:  ExplicitBarline();};
class BasicDrawObj    { public:  BasicDrawObj();};
class BasicRectObj    { public:  BasicRectObj();};
class GroupObj        { public:  GroupObj();};
class TransposableObj { public:  TransposableObj();};
class SimpleTextObj   { public:  SimpleTextObj();};
class RectEllipseObj  { public:  RectEllipseObj();};
class MetafileObj     { public:  MetafileObj();};
class TextObj         { public:  TextObj();};
class LineObj         { public:  LineObj();};
class WavyLineObj     { public:  WavyLineObj();};
class BracketObj      { public:  BracketObj();};
class WedgeObj        { public:  WedgeObj();};
class VoltaObj        { public:  VoltaObj();};
class NotelinesObj    { public:  NotelinesObj();};
class SlurObj         { public:  SlurObj();};
class PolygonObj      { public:  PolygonObj();};
class GuitarObj       { public:  GuitarObj();};
class TrillObj        { public:  TrillObj();};

class ExtraInfo       { public:  ExtraInfo();};
